# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           classpathx-jaxp
Version:        1.0
Release:        0.1.beta1.10jpp
Epoch:          0
Summary:        Java XML parser
License:        GPL with library exception
Source0:        ftp://ftp.gnu.org/pub/gnu/classpathx/gnujaxp-1.0beta1.zip
Source1:        %{name}.sh
Patch0:         %{name}-build.patch
URL:            http://www.gnu.org/software/classpathx/jaxp/
Vendor:         JPackage Project
Distribution:   JPackage
Group:          Text Processing/Markup/XML
Requires:       xml-commons-apis, /usr/sbin/update-alternatives
BuildRequires:  xml-commons-apis, %{__make}, jpackage-utils >= 0:1.5
Provides:       jaxp_parser_impl
Obsoletes:      gnujaxp <= 0:1.0-0.beta1.7jpp
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNU JAXP, a part of the GNU Classpath Extensions project (hosted at
savannah.gnu.org) is a free implementation of the standard XML processing
APIs for Java:
- SAX Parser API
- DOM Level 2 generic XML data structures
- Sun's JAXP v1.1 interfaces

%package        javadoc
Summary:        Javadoc for %{name}
Summary(fr):    Javadoc pour %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc
Obsoletes:      gnujaxp-javadoc <= 0:1.0-0.beta1.7jpp

%description    javadoc
Javadoc for %{name}.

%description    javadoc -l fr
Javadoc pour %{name}.

%package        scripts
Summary:        Additional utility scripts for %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	jpackage-utils >= 0:1.5
Obsoletes:      gnujaxp-scripts <= 0:1.0-0.beta1.7jpp

%description    scripts
Additional utility scripts for %{name}.


%prep
%setup -q -n gnujaxp-%{version}beta1
%patch0 -p1
# remove all binary libs and other non-needed stuff.
find . -name "*.jar" -exec rm -f {} \;
rm -rf apidoc source/javax source/org/w3c


%build
./configure
export CLASSPATH=$(build-classpath xml-commons-apis)
export JAVADOCFLAGS="-link %{_javadocdir}/java"
%{__make} all


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p gnujaxp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# jaxp_parser_impl ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/jaxp_parser_impl.jar


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
  jaxp_parser_impl %{_javadir}/%{name}.jar 15

%preun
{
  [ $1 -eq 0 ] || exit 0
  update-alternatives --remove jaxp_parser_impl %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc COPYING COPYRIGHT.html LICENSE README
%{_javadir}/%{name}*.jar
%ghost %{_javadir}/jaxp_parser_impl.jar

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Feb 12 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.1.beta1.10jpp
- New pre-release tag scheme

* Mon Feb 27 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.beta1.10jpp
- First JPP 1.7 build

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.beta1.9jpp
- Pro forma rebuild with ant-1.6.2 present

* Thu Jun 10 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.beta1.8jpp
- Rename gnujaxp to classpathx-jaxp.
- Crosslink with local J2SE javadocs.

* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.beta1.7jpp
- Own (ghost) %%{_javadir}/jaxp_parser_impl.jar.
- Remove alternatives in preun instead of postun.
- Non-versioned javadoc symlinking.
- Scripts subpackage.

* Tue Apr  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.beta1.6jpp
- Rebuild for JPackage 1.5.
- Use non-versioned jar in alternatives, and don't remove it on upgrade.

* Thu Aug 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.beta1.5jpp
- corrected case for Group tag

* Wed Aug 21 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta1.4jpp
- Add shell script.

* Wed Aug 21 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta1.3jpp
- Leave distributed SAX API in jar and javadocs because xml-commons ships
  older version than needed.
- BuildRequires xml-commons-apis.

* Mon Jul  1 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta1.2jpp
- Updated Group tag.
- Provides jaxp_parser_impl.
- Requires xml-commons-apis.
- Lowered priority to 15.
- Use sed instead of bash 2 extension when symlinking jars.
- Added patch for not building apis.

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.beta1.1jpp
- contributed by Ville Skyttä <ville.skytta at iki.fi>
